> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eigenexplorer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all rewards for a given AVS address

> Returns a list of all rewards for a given AVS address.



## OpenAPI

````yaml get /avs/{address}/rewards
openapi: 3.0.3
info:
  title: EigenExplorer API
  description: EigenExplorer is a community-driven data platform for EigenLayer AVS.
  version: 0.0.1
  license:
    name: MIT
    url: https://spdx.org/licenses/MIT.html
servers:
  - url: https://api.eigenexplorer.com
    description: EigenExplorer Production API
  - url: https://api-holesky.eigenexplorer.com
    description: EigenExplorer Holesky Testnet API
security: []
paths:
  /avs/{address}/rewards:
    get:
      tags:
        - AVS
      summary: Retrieve all rewards for a given AVS address
      description: Returns a list of all rewards for a given AVS address.
      operationId: getAvsRewards
      parameters:
        - in: path
          name: address
          description: AVS service manager contract address
          schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{40}$
            description: AVS service manager contract address
            example: '0x870679e138bcdf293b7ff14dd44b70fc97e12fc0'
          required: true
        - in: header
          name: X-API-Token
          description: API Token for authentication
          schema:
            type: string
            description: API Token for authentication
          required: true
      responses:
        '200':
          description: The rewards found for the AVS.
          content:
            application/json:
              schema:
                type: object
                properties:
                  address:
                    type: string
                    pattern: ^0x[a-fA-F0-9]{40}$
                    description: AVS service manager contract address
                    example: '0x870679e138bcdf293b7ff14dd44b70fc97e12fc0'
                  submissions:
                    type: array
                    items:
                      type: object
                      properties:
                        rewardsSubmissionHash:
                          type: string
                          description: The hash of the rewards submission
                          example: >-
                            0x141e6ea51d92c9ceaefbd5d1ac1b5f1c2ee06555ef20e224ff23ec3448edb7dd
                        startTimestamp:
                          type: number
                          description: >-
                            The timestamp marking the start of this rewards
                            distribution period
                          example: 1720000000
                        duration:
                          type: number
                          description: >-
                            The duration (in seconds) over which the rewards are
                            distributed
                          example: 2500000
                        totalAmount:
                          type: string
                          description: >-
                            The total amount of rewards allocated in this
                            submission
                          example: '5000000000000000000'
                        tokenAddress:
                          type: string
                          pattern: ^0x[a-fA-F0-9]{40}$
                          description: >-
                            The contract address of the token used for rewards
                            distribution
                          example: '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2'
                        strategies:
                          type: array
                          items:
                            type: object
                            properties:
                              strategyAddress:
                                type: string
                                pattern: ^0x[a-fA-F0-9]{40}$
                                description: The address of the restaking strategy
                                example: '0xacb55c530acdb2849e6d4f36992cd8c9d50ed8f7'
                              multiplier:
                                type: string
                                description: The multiplier associated with this strategy
                                example: '1000000000000000000'
                              amount:
                                type: string
                                description: >-
                                  The amount of rewards allocated to this
                                  strategy from the total rewards in this
                                  submissionn
                                example: '5000000000000000000'
                            required:
                              - strategyAddress
                              - multiplier
                              - amount
                          description: >-
                            List of strategies involved in the rewards
                            submission
                      required:
                        - rewardsSubmissionHash
                        - startTimestamp
                        - duration
                        - totalAmount
                        - tokenAddress
                        - strategies
                    description: >-
                      The list of of individual rewards submissions associated
                      with the AVS
                  totalRewards:
                    type: string
                    description: >-
                      The aggregate amount of rewards distributed across all
                      submissions
                    example: '1000000000000000000'
                  totalSubmissions:
                    type: number
                    description: >-
                      The total count of rewards submissions associated with the
                      AVS
                    example: 10
                  rewardTokens:
                    type: array
                    items:
                      type: string
                      pattern: ^0x[a-fA-F0-9]{40}$
                    description: The list of token addresses used for reward distribution
                    example:
                      - '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2'
                  rewardStrategies:
                    type: array
                    items:
                      type: string
                      pattern: ^0x[a-fA-F0-9]{40}$
                    description: >-
                      The list of strategy addresses for which rewards are
                      distributed
                    example:
                      - '0xacb55c530acdb2849e6d4f36992cd8c9d50ed8f7'
                      - '0x13760f50a9d7377e4f20cb8cf9e4c26586c658ff'
                required:
                  - address
                  - submissions
                  - totalRewards
                  - totalSubmissions
                  - rewardTokens
                  - rewardStrategies
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '422':
          $ref: '#/components/responses/422'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
components:
  responses:
    '400':
      description: >-
        The server cannot or will not process the request due to something that
        is perceived to be a client error (e.g., malformed request syntax,
        invalid request message framing, or deceptive request routing).
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - bad_request
                    description: A short code indicating the error code returned.
                    example: bad_request
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#bad_request
                required:
                  - code
                  - message
            required:
              - error
    '401':
      description: >-
        Although the HTTP standard specifies "unauthorized", semantically this
        response means "unauthenticated". That is, the client must authenticate
        itself to get the requested response.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unauthorized
                    description: A short code indicating the error code returned.
                    example: unauthorized
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#unauthorized
                required:
                  - code
                  - message
            required:
              - error
    '403':
      description: >-
        The client does not have access rights to the content; that is, it is
        unauthorized, so the server is refusing to give the requested resource.
        Unlike 401 Unauthorized, the client's identity is known to the server.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - forbidden
                    description: A short code indicating the error code returned.
                    example: forbidden
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#forbidden
                required:
                  - code
                  - message
            required:
              - error
    '404':
      description: The server cannot find the requested resource.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - not_found
                    description: A short code indicating the error code returned.
                    example: not_found
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#not_found
                required:
                  - code
                  - message
            required:
              - error
    '422':
      description: >-
        The request was well-formed but was unable to be followed due to
        semantic errors.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unprocessable_entity
                    description: A short code indicating the error code returned.
                    example: unprocessable_entity
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity
                required:
                  - code
                  - message
            required:
              - error
    '429':
      description: >-
        The user has sent too many requests in a given amount of time ("rate
        limiting")
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - rate_limit_exceeded
                    description: A short code indicating the error code returned.
                    example: rate_limit_exceeded
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded
                required:
                  - code
                  - message
            required:
              - error
    '500':
      description: The server has encountered a situation it does not know how to handle.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - internal_server_error
                    description: A short code indicating the error code returned.
                    example: internal_server_error
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#internal_server_error
                required:
                  - code
                  - message
            required:
              - error

````